# Conduit 0.0 or 0.1 without RS9113
#
# The correct syntax for a machine append is:
# VARIABLE_append_mtcdt
# append must be before the machine name.
#
require mlinux-base-image.bb
DESCRIPTION = "mLinux factory image"

# For now we don't put this in MTR or AEP
# Password restrictions library from Redhat
IMAGE_INSTALL_append = " libpwquality"

LIGHTTPD = "lighttpd \
            lighttpd-module-cgi lighttpd-module-indexfile \
            lighttpd-module-redirect lighttpd-module-auth  \
            lighttpd-module-access lighttpd-module-accesslog \
            lighttpd-module-rewrite lighttpd-module-proxy lighttpd-module-fastcgi \
            lighttpd-module-scgi lighttpd-module-alias \
            lighttpd-module-dirlisting  lighttpd-module-staticfile \
            "

# Lighttpd web server
IMAGE_INSTALL_append = " ${LIGHTTPD}"

IMAGE_INSTALL_append = " sqlite3"

IMAGE_INSTALL_append= " autossh"

# Monit system/process monitor
IMAGE_INSTALL_append = " monit"

# LoRa support (MTAC-LORA accessory card)
IMAGE_INSTALL_append = " lora-gateway-utils lora-query lora-network-server lora-packet-forwarder-usb"
IMAGE_INSTALL_append_mtcdt = " lora-gateway-geolocation-utils lora-packet-forwarder-geolocation"
IMAGE_INSTALL_append_mtcdt = " mtac-xdot-util"

# MQTT server
IMAGE_INSTALL_append = " mosquitto mosquitto-clients"


# Perl support
IMAGE_INSTALL_append = " perl"
IMAGE_INSTALL_append = " perl-module-io perl-module-fcntl"
# not in meta-oe or oe-core...
#IMAGE_INSTALL_append = " libdevice-serialport-perl"
#IMAGE_INSTALL_append = " libexpect-perl"

# Python support
IMAGE_INSTALL_append = " python"
# Python modules
IMAGE_INSTALL_append = " python-argparse \
python-compression \
python-dateutil \
python-html \
python-psutil \
python-pyopenssl \
python-pyserial \
python-pyudev \
python-pyusb \
python-simplejson \
python-sqlite3 \
python-syslog \
python-textutils \
python-unixadmin \
python-xml \
"

# OpenJDK Java runtime
# IMAGE_INSTALL_append = " openjdk-8"
# OpenJDK with JamVM VM (Multi-Tech default)
# IMAGE_INSTALL_append = " jamvm"
# OpenJDK with CACAO VM (run with 'java -cacao')
# IMAGE_INSTALL_append = " openjdk-7-vm-cacao"
# OpenJDK Zero VM (run with 'java -zero')
# IMAGE_INSTALL_append = " openjdk-7-vm-zero"

# PHP support
IMAGE_INSTALL_append = " php php-cli php-fpm"

# Node.js support not available for Atmel any more.
# IMAGE_INSTALL_append = " nodejs nodejs-npm"

# Multi-Tech SMS Utility (see http://git.multitech.net)
IMAGE_INSTALL_append = " sms-utils"
# Multi-Tech GPS Utility
IMAGE_INSTALL_append = " venus-gps"
IMAGE_INSTALL_append = " pps-tools"
IMAGE_INSTALL_append = " dnsmasq bluez5-pand bluez5-rfcomm"

# When ntp is to use the GPS, gps-utils is required
IMAGE_INSTALL_append = " gpsd gpsd-conf gpsd-gpsctl libgps ntp ntp-utils gpspipe gps-utils"

IMAGE_INSTALL_append = " uxfp uvccapture"
