# The correct syntax for a machine append is:
# VARIABLE_append_mtcdt
# append must be before the machine name.
DESCRIPTION = "mLinux minimal image"
LICENSE = "MIT"

inherit core-image
inherit mlinux-image

IMAGE_LINGUAS = ""
IMAGE_FEATURES_append = " ssh-server-openssh package-management"

# Don't wipe out CORE_FEATURES from minimal image
CORE_FEATURES_append = " \
                 packagegroup-core-boot packagegroup-distro-base \
                 packagegroup-base-ext2 \
                 packagegroup-base-usbhost packagegroup-base-usbgadget \
                 udev-extraconf usb-gadget-mode \
                 sysfsutils module-init-tools \
                 bash procps \ 
                 openssh-sftp-server \
                 util-linux-mount util-linux-umount \
                 start-stop-daemon \
		         sudo \
                 ${CORE_IMAGE_EXTRA_INSTALL} \
                 mlinux-feed-configs \
		         useradd \
                 mts-io-sysfs \
                 "

CORE_FEATURES_append = " mtd-utils mtd-utils-jffs2 fstab-at91"

# All except old MTR
CORE_FEATURES_append_mtcap = " mt-dt-overlay "
CORE_FEATURES_append_mtrv1 = " mt-dt-overlay "
CORE_FEATURES_append_mtcdt = " mt-dt-overlay "

NETWORKING_FEATURES = "ppp curl iproute2 \
                       iptables iputils \
                       "

# mts-io: IO Controller for Multi-Tech hardware.
#         (LEDs, temp sensor, serial lines, and more)
#
# config: Handles default config files stored in /var/config. 
#         /var/config is mounted on a separate flash partition so that config
#         files survive flashing of rootfs. See recipe for details.
#
# set-rs485: enables RS485 half-duplex mode for a given tty device
#
# mtcap does not need mts-io-util, but it is required for LoRa 2.1 images

MULTITECH_FEATURES = "kernel-module-mts-io \
			mts-io-noarch  \
			mts-io-util \
			config \
			mts-id-eeprom \
			set-rs485 \
			radio-reset \
            upgrade-reboot"

MULTITECH_MTAC = ""
MULTITECH_MTAC_append_mtcdt = " \
		        kernel-module-mtac \
			kernel-module-mtac-eth \
			kernel-module-mtac-gpiob \
			kernel-module-mtac-lora \
			kernel-module-mtac-mfser \
			kernel-module-mtac-pulse \
			kernel-module-mtac-xdot"

MULTITECH_BB = ""

UPGRADE_FEATURES = "mtd-utils-static"

CONSOLE = "sysvinit-inittab-start"

IMAGE_INSTALL = "${CORE_FEATURES} \
                 ${NETWORKING_FEATURES} \
                 ${UPGRADE_FEATURES} \
                 ${MULTITECH_FEATURES} \
                 ${MULTITECH_MTAC} \
                 ${MULTITECH_BB} \
                 ${CONSOLE} \
                 "

